Subject: Re: CCL:Fortran for C Programmers?

From: Willie Cui <[email-masked]>
Date: Thu, 24 Jul 1997 18:46:05 -0700

Heinz,

I could not found any good book on C++ for Fortran programer when I 
started to learn C++ a few year ago.

I benefited from the following books in my learning of C++. 

	Bjarne Stroustrup, Addison Wesley
	The C++ Programming Lauguage, 2nd Edition
        0-201-53992-6
	The Design and Evolution of C++
	0-201-54330-3

	If you like to learning by writing, try
	Teach Yourself Visual C++ in 21 days
	or something similar. This type of books
	are normally not well written. However, it get you start fast
	and have fun.

	Oh, the tutorial sample for Visual C++, Scribble, is well 	
	designed. I started with this, I enjoyed it. This comes with the 
	VC++ compiler CD.

	Hope this is useful.
	Enjoy C++ programming!

Dr. Heinz Schiffer wrote:
> 
> Gabriel Berriz wrote:
> >
> > While we're on the subject of mixed-language programming, does anyone
> > know of a book (or any other reference) on Fortran for C programmers?
> 
> In my view the very best book on FORTRAN is :
> 
>         Michael Metcalf
>         Effective Fortran 77
>         Oxford University Press, Oxford 1987
>         ISBN 0-19-853709-3
> 
> > would be extremely helpful.  (Unfortunately, there seems to be more
> > demand and supply for guides to C for Fortran programmers than the
> > other way around... :/ )
> 
> I am really looking for a good book on C and C++ for FORTRAN
> programmers. I know, that depend on the personal style. So, I
> would like to have a Metcalf for C++. I never saw one, so may be
> some of you can recommend something.
> 
> Thanks a lot,
> Ciao
> Heinz
> 
> --
> Dr. Heinz Schiffer              Phone   ++49-69-305-2330
> Hoechst CR&T                    Fax     ++49-69-305-81162
> Scientific Computing, G864      Email   [email-masked]
> 65926 Frankfurt am Main                 [email-masked]
> 
> -------This is added Automatically by the Software--------
> -- Original Sender Envelope Address: [email-masked]
> -- Original Sender From: Address: [email-masked]
> [email-masked]: Everybody | [email-masked]: Coordinator
> [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
> Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>              Web: http://www.ccl.net/chemistry.html

-- 
Willie Cui, Ph.D.	voice 201-512-0486
MicroSimulations	fax:  201-512-0489
478 Green Mountain Rd.	email: [email-masked]
Mahwah, NJ 07430	URL:  http://www.microsimulations.com